Subject: Linux-Activists Digest #367
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Thu, 11 Nov 93 06:13:46 EST

Linux-Activists Digest #367, Volume #6           Thu, 11 Nov 93 06:13:46 EST

Contents:
  IN2000 (perhaps all SCSI as well) (Peter Lu)
  Re: linux on AMD 486 DX 40 [Q] (Neill Means)
  Two Video Questions (Sandia Wu)
  rsh bug ?
  rsh bug ?
  Re: Digiboard support? (Mark Buckaway)
  Some Problems Installing SLS 1.02 (Michael Ibarra)
  SLS 1.02 Install Help (dual partitioning) (Michael Ibarra)
  >Re: linux on AMD 486 DX 40 [Q] (Gareth Bult)

----------------------------------------------------------------------------

From: [email-masked] (Peter Lu)
Subject: IN2000 (perhaps all SCSI as well)
Date: Wed, 10 Nov 1993 16:58:23 GMT

Folks,

        I just put in the ALPHA IN2000 SCSI driver into my Linux 0.99
pl12 kernel and I have a problem with interrupt request assignment.
According to the IN2000 documentation, I should set up the card for
no-interrupt if I wanted to use MSDOS 5.0+ for multiple (more than 2)
disk drives.  The IN2000 driver expects an interrupt to be assigned to
the card for use in Linux.  Since it is desirable to be able to access my
SCSI drive either from MSDOS or from Linux, I am at a loss.  I certainly
don't want to have to open up box to flip the DIP switch every time I
switch between MSDOS and Linux.

        Is this a problem altogether with SCSI drivers, in that MSDOS 5.0
requires the controllers for additional disk drives not to use
interrupts, whereas UNIX systems do want them to have separate
interrupts?  Does MSDOS (or BIOS SCSI drivers) use some kind of
timer-based polling mechanisms in its support for 2+ disk drives?  Is
there some kind of solution that would accomodate both mechanisms without
me having to open up the box to flip the switch?  Obviously, other SCSI
controllers may have software-programmable interrupt assignment so that
this manual switch may not be needed.  However, I am using the IN2000...

        All responses are appreciated.

                                                Peter Lu

------------------------------

From: [email-masked] (Neill Means)
Subject: Re: linux on AMD 486 DX 40 [Q]
Date: Wed, 10 Nov 1993 16:40:28 GMT

[email-masked] (Billy L. Williams Jr.) writes:
>>Has somebody run linux on a  AMD-486 DX 40 chip ?
>>
>>I plam to buy such a chip, and I would be glad to know if there are 
>>some problems, or if all is ok.
>>
>>Bruno Bogaert
>>Universit\'e de Lille (France)

>I run Linux on my AMD 386DX-40 an it works wonderfully.  Very quick and
>no problems whatsoever.
>Billy L. Williams, Jr.

I run linux with no hitchs on my AMD 386/40 with AMI Bios
neill
[email-masked]

------------------------------

From: [email-masked] (Sandia Wu)
Subject: Two Video Questions
Date: Wed, 10 Nov 1993 17:16:30 GMT

        I am a new Linux user and have just installed Linux on 
my machine.  I have an ATI Wonder XL24 video card and have used
the clock settings suggested by the documentations.  However,
I am currently using the VESA video modes for my ADI Microscan
4E monitor.  It has a vertical refresh rate at 70Hz at 1024x768
and would like to utilize this.  Does anyone know what available
mode settings are there for this monitor.

        Secondly, I was playing around with OpenWindows yesterday
and found that after running OpenWindows or TWM and exiting back
out to the operating system, my video is lost.  I get a bunch of
vertical white lines across my screen and cannot see anything.
  
        If anyone has any ideas on resolving these two problems,
please EMAIL me at [email-masked].

   /  O 
   \0
    V\ |\   
    X  |#\  FLYBOY VOLLEYBALL 
  \x/  |##\
.......|\##\...........
     .   \##\   .
 .        \#|           
   .       \|  .     . 
       .    |      .
............|.............

[email-masked]

------------------------------

From: stub@pce60 ()
Subject: rsh bug ?
Date: Wed, 10 Nov 1993 14:30:16 GMT

Hi !

..when I rsh commands between my 2 LinuX boxes I notices some programs
complaining 'bout wrong pathes/directories...

I think the problem can be put in one line:

        rsh nepal echo $\HOME $\PWD

which gives

        / /home/yeti

as output...
(not really, as /home/yeti is linked back via NFS to my other machine and
the real output contains the expanded link...)

But $HOME should give /home/yeti (or my personal link)...

What's wrong, where should I search ?

bye
    Ulf.

------------------------------

From: stub@pce60 ()
Subject: rsh bug ?
Date: Wed, 10 Nov 1993 14:31:43 GMT

Hi again...

Sorry --- I forgot some lines 'bout my software running here...

..it's Slackware 1.1.0 on both machines...

..maybe that''s a hint...

Bye again
          Ulf.

------------------------------

From: [email-masked] (Mark Buckaway)
Subject: Re: Digiboard support?
Date: Tue, 9 Nov 1993 23:31:03 GMT

Les Biffle ([email-masked]) wrote:
: Are there drivers available for linux for the Digiboard multiport ASYNC
: card?  I'm trying to help some school districts get an internet gateway
: up for email and other goodies, and hope to use some of their existing
: hardware.

: Thanks.

David Jeske, [email-masked], back in October suggested that he was
working on a driver for Linux and the Digiboard line. I am not aware of the
current status however.
--
==============================================================================
Mark Buckaway           | [email-masked]         |  DataSoft Communications
DataSoft Communications | uunorth!datasoft!root     |  62 Rock Fernway
System Administrator    | Voice: +1 416 756 4497    |  Willowdale, ON M2J 4N5
==============================================================================
    "UNIX and OS/2 are operating systems. Windows is a shell, and
                         DOS is an boot virus"
==============================================================================

------------------------------

From: [email-masked] (Michael Ibarra)
Crossposted-To: comp.os.linux.help
Subject: Some Problems Installing SLS 1.02
Date: 2 Nov 93 20:16:13 GMT

Hello:

        I have finally gotten my machine to a working state! What follows 
are some problems that I encountered, that may or may not be unique to my
machine (386-40DX, 4 MEG RAM, 340 MEG HD)

        I first installed SLS under one partition and quickly decided that 
I liked linux enough to warrant getting rid of OS2-1.02, along with its boot
manager, which were taking two of my four available partitions. Therefore, 
I was now able to create a separate /, /usr, and a swap partition instead
of a swap file. Upon installing with doinstall /dev/hda2 /dev/hda3 /usr,
and answering to the option that would do a full install, I ran out of space
on /root, and /root/usr. What I had to do was a mini install, followed by a
sysinstall -series <series>. This worked just fine and all of my packages are
installed so far with the exception of Xwindows. 

        Secondly, after having everything installed, and beginning to do a 
make on various packages, ie: elm, smail, cnews, etc, I kept hanging on a make
no matter how small, some makes had taken all night! I had done a 'free'   
command, but someone had told me that there may have been a bug that free was 
reporting erroneous info. So I ignored the Sawp: 0 0 , messages given by free.
My /etc/fstab read (the first column) like this:

                /dev/hda2
                /dev/hda3
                /dev/hda4
                proc

        With the above and when I did a mount -a a, I was informed that their
was no swap space avail, remedy with the following: <blah blah>. I changed
the fstab to read like this:

                /dev/hda2
                /dec/hda3
                proc
                /dev/hda4

        Now when I did a mount -a, all of my memory showed with a free command
and mounted right away!Seems weird to me, but just thought I should mention
this to all of you.

Mike Ibarra
[email-masked]
(212)450-5782

PS:     I am still trying to get my HP laserjet to print correctly, any ideas?

Thank you...

 
                
proc

A

D
D
/proc

------------------------------

From: [email-masked] (Michael Ibarra)
Crossposted-To: comp.os.linux.help
Subject: SLS 1.02 Install Help (dual partitioning)
Date: 29 Oct 93 15:04:46 GMT

Hi:

        I have managed to sucessfully install SLS on my 386DX40, on two
partitions. However, / was 15% full and /usr was 100% full when I did a  
df. I created / with 80meg, /usr with 90meg. So I began to do another
initial install deciding to give / 50meg, /usr 120meg. When I do a mke2fs
on my first partition, everything is fine, when I do the same on /usr,     
partition /dev/hda3, I get the following msg upon completion:

mke2fs: Unable to find a block for inode table.

        When I try to do a doinstall /dev/hda2 /dev/hda3 /usr, I get this
message after it starts to install its first pkg:

Installing faq...tar:could not create usr/local/lib/menus/FAQ.z: not a directory

        I am stumped, it appears as if my filesystem is full?, but I am begin-
ning from scratch. Do I need to do some type of format before I start over again? 

        BTW, I have tried also creating my swap device before and after my 
doinstall /dev/hda2 /dev/hda3 /usr routine, with mkswap -c /dev/hda4 15180.

        I am changing partition id to Linux EXT (selection 83) for 
/dev/hda2 /dev/hda3, and Linux swap (selection 82) for /dev/hda4.

        I would appreciate all help. BTW I did read the install guide, which
was very helpful (thank you Matt, let me know if you need a hard copy in ps
format?). Hopefully I can resolve this matter soon so that I can get back to
installing elm, uucp, smail.

Help please ;-(

Mike Ibarra
[email-masked]
(212)450-5782 Work
(718)409-5880 Home

------------------------------

From: [email-masked] (Gareth Bult)
Subject: >Re: linux on AMD 486 DX 40 [Q]
Date: Wed, 10 Nov 1993 22:29:14 GMT

Ditto.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.99pl9 released on April 23, 1993

End of Linux-Activists Digest
******************************